summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-libs/dlib/Manifest1
-rw-r--r--sci-libs/dlib/dlib-19.7.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/sci-libs/dlib/Manifest b/sci-libs/dlib/Manifest
index 3754a6afb31..da63b4e98b1 100644
--- a/sci-libs/dlib/Manifest
+++ b/sci-libs/dlib/Manifest
@@ -1 +1,2 @@
DIST dlib-19.4.tar.gz 7226923 SHA256 2bed9669f1a5c436579498d0806b27a9b60c42a975a9b6e67b594b40f58b1a88 SHA512 23bf80353f9b6ce07b6a3a7df05016705645c18bcf2b3ead567935008ea12c9f6dc0722d9bbacc009bd26f78eb43c1cbecf776bfed5a3445c1f2e8e208f201e2 WHIRLPOOL 300670d12b306e224fce6d7f22d79690f543876f78d30064ab2f9782a3a79a031a6b048863a5a2b21f27eb2538b9ab42f9d00dc88f144129fa591b4b1387c367
+DIST dlib-19.7.tar.gz 7670615 SHA256 bc9f7be1866b9a7dcd2aeea66469cfb6025e25e6659470a4410dae166df1d645 SHA512 a3877066e04a411d96e910f4229c60a86971a9290e840aa4a5b2f0b102e9b8c37bfede259b80b71ba066d21eb0aa2565808e51d0eab6397ff5fd2bac60dcedd5 WHIRLPOOL 24d556021129d112e169352d2a96ad7324568ee0bf70b361f7f50f5c4cdc49f69b7d9f21dbcd7c79b91252abfad29d6e321440b136626151068142d9ee669f8d
diff --git a/sci-libs/dlib/dlib-19.7.ebuild b/sci-libs/dlib/dlib-19.7.ebuild
new file mode 100644
index 00000000000..34db9681490
--- /dev/null
+++ b/sci-libs/dlib/dlib-19.7.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils cuda
+
+DESCRIPTION="Numerical and networking C++ library"
+HOMEPAGE="http://dlib.net/"
+SRC_URI="https://github.com/davisking/dlib/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Boost-1.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="cblas debug cuda examples gif jpeg lapack mkl png sqlite static-libs test X"
+
+# doc needs a bunch of deps not in portage
+
+RDEPEND="
+ cblas? ( virtual/cblas:= )
+ cuda? ( dev-libs/cudnn:= )
+ jpeg? ( virtual/jpeg:0= )
+ lapack? ( virtual/lapack:= )
+ mkl? ( sci-libs/mkl:= )
+ png? ( media-libs/libpng:0= )
+ sqlite? ( dev-db/sqlite:3= )
+ X? ( x11-libs/libX11:= )
+"
+DEPEND="test? ( ${RDEPEND} )"
+
+src_prepare() {
+ use cuda && cuda_src_prepare
+ cmake-utils_src_prepare
+ sed -i -e '/LICENSE.txt/d' dlib/CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DLIB_INSTALL_DIR="$(get_libdir)"
+ -DDLIB_ENABLE_ASSERTS="$(usex debug)"
+ -DDLIB_ENABLE_STACK_TRACE="$(usex debug)"
+ -DDLIB_GIF_SUPPORT="$(usex gif)"
+ -DDLIB_JPEG_SUPPORT="$(usex jpeg)"
+ -DDLIB_PNG_SUPPORT="$(usex png)"
+ -DDLIB_LINK_WITH_SQLITE3="$(usex sqlite)"
+ -DDLIB_NO_GUI_SUPPORT="$(usex X OFF ON)"
+ -DDLIB_USE_BLAS="$(usex cblas)"
+ -DDLIB_USE_CUDA="$(usex cuda)"
+ -DDLIB_USE_LAPACK="$(usex lapack)"
+ )
+ cmake-utils_src_configure
+}
+
+src_test() {
+ mkdir "${BUILD_DIR}"/dlib/test || die
+ pushd "${BUILD_DIR}"/dlib/test > /dev/null || die
+ cmake "${S}"/dlib/test && emake
+ ./dtest --runall || die
+ popd > /dev/null || die
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc docs/README.txt
+ use static-libs || rm -f "${ED}"/usr/$(get_libdir)/*.a
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}
+ fi
+}